#-----------------------------------------------------------------------------#
#    This file contains sample accounting rules.                              #
#                                                                             #
#    To activate the rules, simply move them to firerule.cnf and update the   #
#    attributes to match your setup. The directory "account" must exist.      #
#                                                                             #
#    DISCLAIMER: Not all samples have been tested by F/X Communications.      #
#-----------------------------------------------------------------------------#


#-----------------------------------------------------------------------------#
#                                                                             #
#    Accounting for incoming and outgoing traffic on the Firewall PC.         #
#    Set Source and Destination-Netmask to 255.255.255.0, to account for      #
#    all IP addresses on a routed Class C network.                            #
#                                                                             #
#-----------------------------------------------------------------------------#

Account-GW-Out          Comment = "Traffic Accounting for Gateway PC",
                        Source = "my_ip",
                        Rule-Action = Account,
                        Account-Type = Source-IP,
                        Account-File = "firewall/logs/gateway",

Account-GW-In           Comment = "Traffic Accounting for Gateway PC",
                        Destination = "my_ip",
                        Rule-Action = Account,
                        Account-Type = Destination-IP,
                        Account-File = "firewall/logs/gateway"



#-----------------------------------------------------------------------------#
#                                                                             #
#    Accounting for internal LAN with IP addresses in the 10.1.1.x segment    #
#                                                                             #
#-----------------------------------------------------------------------------#

Account-LAN-Out         Comment = "Accounting for internal net 10.x.x.x",
                        Source = "10.0.0.0",
                        Source-Netmask = 255.0.0.0,
                        Rule-Action = Account,
                        Account-File = "firewall/logs/ip-usage",
                        Account-Type = Source-IP

Account-LAN-In	         Comment = "Accounting for internal net 10.x.x.x",
                        Destination = "10.0.0.0",
                        Destination-Netmask = 255.0.0.0,
                        Rule-Action = Account,
                        Account-File = "firewall/logs/ip-usage",
                        Account-Type = Destination-IP



#-----------------------------------------------------------------------------#
#                                                                             #
#    Traffic accounting per service (ftp, telnet, web, etc).                  #
#                                                                             #
#-----------------------------------------------------------------------------#

Account-Service         Comment = "Traffic Accounting per service port",
                        Rule-Action = Account,
                        Account-Type = Service,
                        Account-File = "firewall/logs/service"

